αNEX Cameras:New Firmware Enables Translucent Mirror Adapter Compatibility

by Gina 12/15/2011, in Contact the Blog

Today we released updated firmware for our αNEX E-mount cameras, more specifically firmware update 2.0v for Lens/Adapter. The firmware update applies to E-mount models launched prior to Oct 2011, so models getting the firmware update include the αNEX-3, NEX-5, NEX-C3 cameras, as well NEX-VG10 Handycam Camcorder and even a model in our professional camera line, the Sony NEX-FS100U.

In these cases, the new firmware provides compatibility with the recently launched LA-EA2 translucent mirror Lens Mount Adapter. Prior to this firmware update, the LA-EA2 only worked with the αNEX-5N , NEX-7 and NEX-VG20.  We know owners of the previous models were eagerly asking for compatibility to enjoy phase detect  autofocus when using one of Sony’s A-mount lenses.

The LA-EA2 is unique in that it replaces the Contrast AF of the E-mount camera with the Phase Detect AF of Sony’s Translucent Mirror DSLRs.  The original LA-EA1 mount adaptor allows only contrast detect AF, with SSM and SAM series A-mount lenses, and no autofocus with others. Even with the AF capable lenses, autofocus wasn’t nearly as fast as with A-mount DSLRs because DSLR lenses aren’t really optimized for the Contrast AF found in all mirror-less cameras.  With the LA-EA2, a microcomputer driven Phase Detect AF system is built directly into the adapter, which allows the camera to focus just as fast as a DSLR – and with all A-mount AF lenses! This firmware update lets the earlier cameras recognize the LA-EA2 adaptor when it’s attached, and prioritizes the adaptor’s AF system over the camera’s. The result?  Super-fast Phase Detect AF functionality for all A-mount autofocus lenses when using LA-EA2 with earlier E-mount cameras.

So for owners, I’m guessing you’ve got your camera in hand ready to snag this firmware. Below are some quick links to get you there. Enjoy!

You’ll need to have a computer to download the firmware and perform the update. Be sure to select the version that matches your OS.

NEX-3:

(Windows)

(Mac)

NEX-5:

(Windows)

(Mac)

NEX-C3:

(Windows)

(Mac)

NEX-VG10:

(Windows)

(Mac)


 

 


Twitter Facebook Email